/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package protosms;

/**
 *
 * @author jdt
 */
public enum SMSReturnCode {


        /*
        80 : Le message a été envoyé
        81 : Le message est enregistré pour un envoi en différé
        82 : Le login et/ou mot de passe n'est pas valide
        83 : vous devez créditer le compte
        84 : le numéro de gsm n'est pas valide
        85 : le format d'envoi en différé n'est pas valide
        86 : le groupe de contacts est vide
        87 : la valeur email est vide
        88 : la valeur pass est vide
        89 : la valeur numero est vide
        90 : la valeur message est vide
        91 : le message a déjà été envoyé à ce numéro dans les 24 dernières heures
        */

        SENT(80,"Le message a été envoyé"),
        DEFFERED(81,"Le message est enregistré pour un envoi en différé"),
        BAD_LOGIN(82,"Le login et/ou mot de passe n'est pas valide"),
        NO_CREDIT(83,"vous devez créditer le compte"),
        BAD_TELEPONE(84,"le numéro de gsm n'est pas valide"),
        BAD_DEFFERED_FORMAT(85,"le format d'envoi en différé n'est pas valide"),
        EMPTY_CONTACT_GROUP(86,"le groupe de contacts est vide"),
        EMPTY_MAIL(87,"la valeur email est vide"),
        EMPTY_PASSWORD(88,"la valeur pass est vide"),
        EMPTY_TELEPHONE(89,"la valeur numero est vide"),
        EMPTY_MESSAGE(90,"la valeur message est vide"),
        ALLREADY_SENT(91,"le message a déjà été envoyé à ce numéro dans les 24 dernières heures"),
        UNKNOWN(0,"code inconnu");

	/** L'attribut qui contient la valeur associé à l'enum */
	private final int value;
        private final String description;

	/** Le constructeur qui associe une valeur à l'enum */
	private SMSReturnCode(int value, String description) {
		this.value = value;
                this.description = description;
	}

	/** La méthode accesseur qui renvoit la valeur de l'enum */
	public int getValue() {
		return this.value;
	}

        /** La méthode accesseur qui renvoit la valeur de l'enum */
	public String getDescription() {
		return this.description;
	}

        public static SMSReturnCode getReturnCodeByNumber(int number){
            switch(number){
                case 80: return SMSReturnCode.SENT;
                case 81: return SMSReturnCode.DEFFERED;
                case 82: return SMSReturnCode.BAD_LOGIN;
                case 83: return SMSReturnCode.NO_CREDIT;
                case 84: return SMSReturnCode.BAD_TELEPONE;
                case 85: return SMSReturnCode.BAD_DEFFERED_FORMAT;
                case 86: return SMSReturnCode.EMPTY_CONTACT_GROUP;
                case 87: return SMSReturnCode.EMPTY_MAIL;
                case 88: return SMSReturnCode.EMPTY_PASSWORD;
                case 89: return SMSReturnCode.EMPTY_TELEPHONE;
                case 90: return SMSReturnCode.EMPTY_MESSAGE;
                case 91: return SMSReturnCode.ALLREADY_SENT;
                default: return SMSReturnCode.UNKNOWN;
            }
        }

}
